Summary:          ZFS ported to Linux FUSE
Name:             zfs-fuse
Version:          0.5.0
Release:          8.20081221%{?dist}
Group:            System Environment/Base
License:          CDDL
URL:              http://www.wizy.org/wiki/ZFS_on_FUSE
# The source for this package was pulled from upstream's vcs.  Use the
# following command to generate the tarball:
#   wget http://www.wizy.org/mercurial/zfs-fuse/trunk/archive/008c531499cd.tar.bz2
#   mv 008c531499cd.tar.bz2 zfs-fuse-0.5.0.tar.bz2
# The setup line below has been changed to reflect that the top directory of the
# archive has a different name than the archive itself.
Source0:          %{name}/%{name}-%{version}.tar.bz2
Source01:         zfs-fuse.init
Source02:         zfs-fuse.sysconfig
BuildRequires:    fuse-devel libaio-devel scons zlib-devel
Requires:         fuse >= 2.7.4-1
Requires(post):   chkconfig
Requires(preun):  chkconfig initscripts
Requires(postun): initscripts
# (2008-10-30)(uwe@kubosch.no) zfs-fuse doesn't have PPC and PPC64
#                              implementations for atomic instructions
ExcludeArch:      ppc64
ExcludeArch:      ppc
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
ZFS is an advanced modern general-purpose filesystem from Sun
Microsystems, originally designed for Solaris/OpenSolaris.

This project is a port of ZFS to the FUSE framework for the Linux
operating system.

%prep
%setup -q -n trunk-008c531499cd
f=LICENSE
%{__mv} $f $f.iso88591
iconv -o $f -f iso88591 -t utf8 $f.iso88591
%{__rm} -f $f.iso88591

%build
pushd src
%{__sed} -i -e 's/-pipe -Wall -Werror/%{optflags}/' SConstruct
scons

%install
%{__rm} -rf %{buildroot}
pushd src
scons install install_dir=%{buildroot}%{_bindir}
%{__install} -Dp -m 0755 %{SOURCE1} %{buildroot}%{_initrddir}/%{name}
%{__install} -Dp -m 0755 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/%{name}

%clean
%{__rm} -rf %{buildroot}

%post
if [ $1 = 1 ] ; then
    /sbin/chkconfig --add %{name}
    /sbin/chkconfig %{name} on
    /sbin/service %{name} start >/dev/null 2>&1 || :
fi

%preun
if [ $1 = 0 ] ; then
    /sbin/service %{name} stop >/dev/null 2>&1 || :
    /sbin/chkconfig --del %{name}
fi

%postun
if [ $1 -ge 1 ] ; then
    /sbin/service %{name} condrestart >/dev/null 2>&1 || :
    rm -rf /var/run/zfs
    rm -rf /var/lock/zfs
fi

%files
%defattr(-, root, root, -)
%doc BUGS CHANGES contrib HACKING LICENSE README 
%doc README.NFS STATUS TESTING TODO
%{_bindir}/zdb
%{_bindir}/zfs
%{_bindir}/zfs-fuse
%{_bindir}/zpool
%{_bindir}/ztest
%{_initrddir}/%{name}
%{_sysconfdir}/sysconfig/%{name}

%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-8.20081221
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 24 2009 Uwe Kubosh <uwe@kubosch.no> - 0.5.0-7.20081221
- Updated etc/init.d/zfs-fuse init script after feedback from Rudd-O
  Removed limits for the fuse process which could lead to a hung system
  or use lots of memory.

* Sun Dec 28 2008 Uwe Kubosh <uwe@kubosch.no> - 0.5.0-6.20081221
- Updated etc/init.d/zfs-fuse init script after feedback from Rudd-O at
  http://groups.google.com/group/zfs-fuse/browse_thread/thread/da94aa803bceef52
- Adds better wait at startup before mounting filesystems.
- Add OOM kill protection.
- Adds syncing of disks at shutdown.
- Adds pool status when asking for service status.
- Changed to start zfs-fuse at boot as default.
- Changed to start zfs-fuse right after installation.
- Cleanup of /var/run/zfs and /var/lock/zfs after uninstall.

* Sun Dec 24 2008 Uwe Kubosh <uwe@kubosch.no> - 0.5.0-5.20081221
- Development tag.

* Sun Dec 21 2008 Uwe Kubosh <uwe@kubosch.no> - 0.5.0-4.20081221
- Updated to upstream trunk of 2008-12-21
- Added config file in /etc/sysconfig/zfs
- Added config option ZFS_AUTOMOUNT=0|1 to mount filesystems at boot

* Tue Nov 11 2008 Uwe Kubosh <uwe@kubosch.no> - 0.5.0-3.20081009
- Rebuild after import into Fedora build system.

* Thu Oct 09 2008 Uwe Kubosh <uwe@kubosch.no> - 0.5.0-2.20081009
- Updated to upstream trunk of 2008-10-09
- Adds changes to make zfs-fuse build out-of-the-box on Fedora 9,
  and removes the need for patches.

* Sat Oct  4 2008 Terje Rosten <terje.rosten@ntnu.no> - 0.5.0-1 
- initial build
